import Dexie from "dexie";
interface IntlTemp {
    lang: string;
    id: string;
    action: string;
    content: {
        target: string;
        operator: string;
        other: string;
        [key: string]: string;
    };
}
declare class IntlTemplate {
    private db?;
    private store?;
    private supportLanguage;
    private defaultLanguage;
    init(db: Dexie): void;
    bulkPutData(list: IntlTemp[]): Promise<void>;
    getTempByIdAndLang(action: string, lang: string): Promise<false | IntlTemp | undefined>;
}
declare const template: IntlTemplate;
export default template;
